# samples/06_jpeg_decode/jpeg_decode_main.cpp File Reference

`#include "NvUtils.h"`
`#include <errno.h>`
`#include <fstream>`
`#include <iostream>`
`#include <malloc.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include "jpeg_decode.h"`

Go to the source code of this file.

## Defines

#define | TEST_ERROR(cond, str, label)

## Functions

int | main (int argc, char *argv[])

## Define Documentation

#define TEST_ERROR | ( | cond,
|  | str,
|  | label |  | ) |

Value:

    if(cond) { \
                                            cerr << str << endl; \
                                            error = 1; \
                                            goto label; }

Definition at line 39 of file jpeg_decode_main.cpp.

## Function Documentation

int main | ( | int | argc,
|  | char * | argv[] |
| ) |  |  |

Definition at line 90 of file jpeg_decode_main.cpp.